Bug 213160 - [revive] audio/mpdscribble: fix for unfetchable
Summary: [revive] audio/mpdscribble: fix for unfetchable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Larry Rosenman
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-10-02 17:06 UTC by Stephen
Modified: 2017-05-01 23:53 UTC (History)
3 users (show)

See Also:


Attachments
Patch to update MASTER_SITES (728 bytes, patch)
2016-10-02 17:06 UTC, Stephen
no flags Details | Diff
updated patch to fix LIB_DEPENDS to newer style (797 bytes, patch)
2016-10-02 17:23 UTC, Stephen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen 2016-10-02 17:06:12 UTC
Created attachment 175369 [details]
Patch to update MASTER_SITES

This port was removed, but it works fine if you update the MASTER_SITES away from sourceforge. Here's a patch against revision 400160, the last one before it was removed.
Comment 1 Stephen 2016-10-02 17:23:17 UTC
Created attachment 175370 [details]
updated patch to fix LIB_DEPENDS to newer style

updated patch file to update the LIB_DEPENDS line as well and make pylint happy. Replaces the patch I originally attached.
Comment 2 Stephen 2016-10-02 17:24:33 UTC
(In reply to Stephen from comment #1)

er... portlint not pylint.
Comment 3 John Marino freebsd_committer 2016-10-05 13:51:22 UTC
This port has been removed for almost a year.

It can't be revived without a maintainer.
I'll put the last listed maintainer on copy. Given that Julien had ample opportunity to fix it before, I'd guess he's not interested in this port anymore.
Comment 4 VK freebsd_triage 2016-10-05 15:35:54 UTC
Marking for QA as a maintainer has to be confirmed or maintained by someone else. Stephen, would you like to maintain it?
Comment 5 Stephen 2016-10-06 03:33:52 UTC
Yeah, I can do that. Should I make a new Makefile that lists me as the maintainer then? Not sure what the procedure is.
Comment 6 Thomas Zander freebsd_committer 2017-03-12 10:10:00 UTC
(In reply to Stephen from comment #5)

Yes, exactly. If you like to maintain it, resubmit the patch with your current mail address as MAINTAINER.
Comment 7 commit-hook freebsd_committer 2017-05-01 23:50:35 UTC
A commit references this bug:

Author: ler
Date: Mon May  1 23:49:34 UTC 2017
New revision: 439917
URL: https://svnweb.freebsd.org/changeset/ports/439917

Log:
  [revive] audio/mpdscribble: fix for unfetchable

  Revive port, fix ${PORTSDIR} for ftp/curl, give MAINTAINER'ship
  to submitter.

  PR:		213160
  Submitted by:	freebsdbugs@tungol.org
  Approved by:	adamw (mentor, implicit)

Changes:
  head/MOVED
  head/audio/mpdscribble/
  head/audio/mpdscribble/Makefile
Comment 8 Larry Rosenman freebsd_committer 2017-05-01 23:53:51 UTC
Committed, thanks. 

Maintainership given to submitter.